Bonjour à tous,

Je suis débutant en scilab et je fais des petits programmes plus ou moins bien scriptés et je me suis aperçu que pou l'un d'entre eux, il tourne bien avec Scilab 5.5.2 mais exactement le même script sous Scilab 6.0.2 me dit:
" Un programme est à l'origine du dysfonctionnement du programme. Fermez le programme."
Je n'ai pas d'autre choix que de fermer Scilab 6.0.2.
Sauriez-vous à quoi cela pourrait être dû ? Est-ce-que 5.5.2 est plus robuste ?

D'autre part, j'ai à résoudre un système tel que:
d y(s(x)) / dx = f(s) et y( s(x) ) = g ( s(x) )

Habituellement pour utiliser ode, on a plutôt des systèmes tels que:
dy(x)/dx = f(y,x)

Donc dans mon cas je ne suis pas arrivé à m'en sortir avec ode.
Ce que j'ai fait c'est écrire:
y(i+1) - y(i) = f(s(i+1)) x delta_x
j'ai les conditions initiales
s(0) = 0 / y(0) = 0 et delta_x est un pas que je m'impose
Donc j'ai
y(1) = y(0) + f(s1) x delta_x
et y(1) = g(s(1))
Donc après je calcule s(1) tel que
y(0) + f(s(s1) x delta_x - g(s(1) = 0 avec la fonction fslove
et je fais cela de proche en proche.

je me demandais s'il y aurait une façon plus élégante de résoudre ce genre de problème.
Merci

Phoudha